// Bus-Umschalter

module BusMux #(parameter WIDTH)(
 input  wire sel,
 input  wire [WIDTH-1:0] InpA,
 input  wire [WIDTH-1:0] InpB,
 output reg [WIDTH-1:0] Out    
);

 always @ (sel, InpA, InpB) 
  if (sel) Out = InpB;
  else Out = InpA;
 
endmodule
